Subject: Re: [PATCH v9 00/19] index-helper/watchman

From: Ramsay Jones <[email-masked]>
Date: Tue, 10 May 2016 23:09:00 +0100

On 10/05/16 21:30, Junio C Hamano wrote:
> Ramsay Jones <[email-masked]> writes:
> 
>> On 10/05/16 12:52, Dennis Kaarsemaker wrote:
>>> On ma, 2016-05-09 at 15:22 -0700, Junio C Hamano wrote:
>>>> It passes on one box and fails on another.  They both run the same
>>>> Ubuntu 14.04 derivative, with same ext3 filesystem.  The failing one
>>>> is on a VM.
>>>
>>> Same here, except ext4 instead of ext3. Failing on a virtual machine,
>>> not failing on a physical one.
>>
>> I can confirm the trend:
>>
>>     Linux Mint 17.3, ext4 - bare-metal pass, (Virtual Box) VM fail.
>>
> I do not think there is anything VM specific, though.  If it is
> SIGPIPE, it is very much understandable it is timing dependent, and
> VMness may be a cause of timing differences, nothing more.

Yeah, I had previously noted that this was probably a timing related
issue - this was only meant as confirmation that David could probably
reproduce the issue if he tested in a VM. ;-)

However, it appears Dennis has found a way to force a failure, even
on bare-metal (at least on v8, I think).

> I seem to getting the failure on my physical box today, by the way.

Ah, interesting.

ATB,
Ramsay Jones